#### Linux From Scratch - Version r13.0-160

### Chapter 8. Installing Basic System Software

- Prev

  Sqlite-3530300

- Next

  Python-3.14.6

- Up
- Home

# 8.53. mpdecimal-4.0.1

The mpdecimal package contains fast C/C++ libraries for correctly-rounded arbitrary precision decimal floating point arithmetic.

Approximate build time: 0.1 SBU
Required disk space: 4.3 MB

## 8.53.1. Installation of mpdecimal

Prepare mpdecimal for compilation:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/mpdecimal-4.0.1

Compile the package:

    make

To test the results, issue:

    make check_local

Install the package:

    make install

## 8.53.2. Contents of mpdecimal

Installed libraries: libmpdec.so and libmpdec++.so
Installed directory: /usr/share/doc/mpdecimal-4.0.1

### Short Descriptions

`libmpdec` | Contains arbitrary precision decimal floating point arithmetic functions for C programs
`libmpdec++` | Contains arbitrary precision decimal floating point arithmetic functions for C++ programs

- Prev

  Sqlite-3530300

- Next

  Python-3.14.6

- Up
- Home